- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions

# QBoxLayout Class Reference

Search for all occurrences

## Detailed Description

Definition at line 60 of file qboxlayout.h.

`#include <qboxlayout.h>`

Inheritance diagram for QBoxLayout:
[legend]

List of all members.

## Public Types
enum | Direction { LeftToRight, RightToLeft, TopToBottom, BottomToTop, Down = TopToBottom, Up = BottomToTop }
## Public Member Functions
| QBoxLayout (Direction, QWidget *parent=0)
| ~QBoxLayout ()
Direction | direction () const
void | setDirection (Direction)
void | addSpacing (int size)
void | addStretch (int stretch=0)
void | addSpacerItem (QSpacerItem *spacerItem)
void | addWidget (QWidget *, int stretch=0, Qt::Alignment alignment=0)
void | addLayout (QLayout *layout, int stretch=0)
void | addStrut (int)
void | addItem (QLayoutItem *)
void | insertSpacing (int index, int size)
void | insertStretch (int index, int stretch=0)
void | insertSpacerItem (int index, QSpacerItem *spacerItem)
void | insertWidget (int index, QWidget *widget, int stretch=0, Qt::Alignment alignment=0)
void | insertLayout (int index, QLayout *layout, int stretch=0)
int | spacing () const
void | setSpacing (int spacing)
bool | setStretchFactor (QWidget *w, int stretch)
bool | setStretchFactor (QLayout *l, int stretch)
void | setStretch (int index, int stretch)
int | stretch (int index) const
QSize | sizeHint () const
QSize | minimumSize () const
QSize | maximumSize () const
bool | hasHeightForWidth () const
int | heightForWidth (int) const
int | minimumHeightForWidth (int) const
Qt::Orientations | expandingDirections () const
void | invalidate ()
QLayoutItem * | itemAt (int) const
QLayoutItem * | takeAt (int)
int | count () const
void | setGeometry (const QRect &)
## Protected Member Functions
void | insertItem (int index, QLayoutItem *)

## Member Enumeration Documentation

enum Direction

Search for all occurrences

Enumerator:

  LeftToRight | Search for all occurrences
  RightToLeft | Search for all occurrences
  TopToBottom | Search for all occurrences
  BottomToTop | Search for all occurrences
  Down | Search for all occurrences
  Up | Search for all occurrences

Definition at line 65 of file qboxlayout.h.

                       { LeftToRight, RightToLeft, TopToBottom, BottomToTop,
                         Down = TopToBottom, Up = BottomToTop };

## Constructor & Destructor Documentation

QBoxLayout | ( | Direction | ,
|  | QWidget * | parent = `0`
| ) |  | `[explicit]`

~QBoxLayout | ( |  | ) |

## Member Function Documentation

Direction direction | ( |  | ) | const

Search for all occurrences

void setDirection | ( | Direction |  | ) |

Search for all occurrences

void addSpacing | ( | int | size | ) |

Search for all occurrences

void addStretch | ( | int | stretch = `0` | ) |

Search for all occurrences

void addSpacerItem | ( | QSpacerItem * | spacerItem | ) |

Search for all occurrences

void addWidget | ( | QWidget * | ,
|  | int | stretch = `0`,
|  | Qt::Alignment | alignment = `0`
| ) |  |

Search for all occurrences

Examples:
  MeshDisplace/displacer.cpp.

void addLayout | ( | QLayout * | layout,
|  | int | stretch = `0`
| ) |  |

Search for all occurrences

void addStrut | ( | int |  | ) |

Search for all occurrences

void addItem | ( | QLayoutItem * |  | ) | `[virtual]`

Search for all occurrences

Implements QLayout.

void insertSpacing | ( | int | index,
|  | int | size
| ) |  |

Search for all occurrences

void insertStretch | ( | int | index,
|  | int | stretch = `0`
| ) |  |

Search for all occurrences

void insertSpacerItem | ( | int | index,
|  | QSpacerItem * | spacerItem
| ) |  |

Search for all occurrences

void insertWidget | ( | int | index,
|  | QWidget * | widget,
|  | int | stretch = `0`,
|  | Qt::Alignment | alignment = `0`
| ) |  |

Search for all occurrences

void insertLayout | ( | int | index,
|  | QLayout * | layout,
|  | int | stretch = `0`
| ) |  |

Search for all occurrences

int spacing | ( |  | ) | const

Search for all occurrences

Reimplemented from QLayout.

void setSpacing | ( | int | spacing | ) |

Search for all occurrences

Reimplemented from QLayout.

bool setStretchFactor | ( | QWidget * | w,
|  | int | stretch
| ) |  |

Search for all occurrences

bool setStretchFactor | ( | QLayout * | l,
|  | int | stretch
| ) |  |

Search for all occurrences

void setStretch | ( | int | index,
|  | int | stretch
| ) |  |

Search for all occurrences

int stretch | ( | int | index | ) | const

Search for all occurrences

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QLayoutItem.

QSize minimumSize | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QLayout.

QSize maximumSize | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QLayout.

bool hasHeightForWidth | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QLayoutItem.

int heightForWidth | ( | int |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QLayoutItem.

int minimumHeightForWidth | ( | int |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QLayoutItem.

Qt::Orientations expandingDirections | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QLayout.

void invalidate | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QLayout.

QLayoutItem* itemAt | ( | int |  | ) | const `[virtual]`

Search for all occurrences

Implements QLayout.

QLayoutItem* takeAt | ( | int |  | ) | `[virtual]`

Search for all occurrences

Implements QLayout.

int count | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QLayout.

void setGeometry | ( | const QRect & |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QLayout.

void insertItem | ( | int | index,
|  | QLayoutItem * |
| ) |  | `[protected]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qboxlayout.h

QBoxLayout QBoxLayout QBoxLayout QBoxLayout QBoxLayout QBoxLayout QBoxLayout QBoxLayout QBoxLayout QBoxLayout
QBoxLayout QBoxLayout QBoxLayout QBoxLayout QBoxLayout QBoxLayout QBoxLayout QBoxLayout QBoxLayout QBoxLayout